Bug 185766 - System->Administration->Authentication menu does not work.
System->Administration->Authentication menu does not work.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-17 14:18 EST by Dan Thurman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: authconfig-5.2.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 10:17:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Thurman 2006-03-17 14:18:19 EST
Description of problem:

System->Administration->Authentication menu does not work.


Version-Release number of selected component (if applicable):

authconfig-5.2.2-1
authconfig-gtk-5.2.2-1

How reproducible:
Everytime

Steps to Reproduce:
1. run system-config-authentication
2.
3.
  
Actual results:

Following is a crash when executed directly:

[root@mysystem ~]# system-config-authentication
Traceback (most recent call last):
  File "/usr/sbin/system-config-authentication", line 398, in ?
    module = Authconfig()
  File "/usr/sbin/system-config-authentication", line 163, in __init__
    self.info = authinfo.read(self.message_callback)
  File "/usr/share/authconfig/authinfo.py", line 594, in read
    info.read()
  File "/usr/share/authconfig/authinfo.py", line 1338, in read
    self.readWinbind()
  File "/usr/share/authconfig/authinfo.py", line 904, in readWinbind
    tmp = self.readWinbindGlobal("workgroup")
  File "/usr/share/authconfig/authinfo.py", line 893, in readWinbindGlobal
    if not section or section != "global":
UnboundLocalError: local variable 'section' referenced before assignment
[root@mysystem ~]#

Expected results:

Should pop up the gui

Additional info:

Tomas Mraz has fixed it or will fix it and place in update releases.
Comment 1 Fedora Update System 2006-03-21 11:29:20 EST
authconfig-5.2.3-1 has been pushed for FC5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.